package com.sincere.student.access;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;

@Configuration
public class StaticAdapter extends WebMvcConfigurerAdapter {

    @Bean
    public MemberInterceptor getMemberInterceptor() {
        return new MemberInterceptor();
    }

    //添加拦截器
    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(getMemberInterceptor());
        super.addInterceptors(registry);
    }
}
