package com.sincere.student.enums;

public enum ColumnEnums {

    article(1, "权威解读"),
    university(2, "招生"),
    video(3, "视频");

    private int type;
    private String message;

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    ColumnEnums(int type, String message) {
        this.type = type;
        this.message = message;
    }

    public static ColumnEnums getByType(int type) {
        for (ColumnEnums columnEnums : ColumnEnums.values()) {
            if (columnEnums.getType() == type) {
                return columnEnums;
            }
        }
        return null;
    }
}
