package com.sincere.student.mapper;

import com.sincere.student.dto.ArticleSearchDto;
import com.sincere.student.model.Article;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ArticleMapper {

    List<Article> getList(ArticleSearchDto articleSearchDto);

    int getListCount(ArticleSearchDto articleSearchDto);

    List<Article> getRelationList(int universityId);

    Article selectById(int id);

    int create(Article article);

    int delete(int id);

    int update(Article article);

    Article getAdvert();

    List<Article> countSort(@Param(value = "sort") int sort, @Param(value = "flag") int flag, @Param(value = "id") Integer id);
}
