package com.sincere.student.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

@ApiModel
public class Advert implements Serializable {

    private static final long serialVersionUID = 765348013299664647L;
    @ApiModelProperty(value = "主键 , 新增接口不用传")
    private int id;
    @ApiModelProperty(value = "广告类型 1：开屏 2:banner  所有接口不用传")
    private int type;
    @ApiModelProperty(value = "必传 图片地址")
    private String imgUrl;
    @ApiModelProperty(value = "外链")
    private String urlLink;
    @ApiModelProperty(value = "必传 排序")
    private int sort;
    @ApiModelProperty(value = "状态  预留字段 所有接口不用传")
    private int status;
    @ApiModelProperty(value = "创建时间 所有接口不用传")
    private Date createTime;
    @ApiModelProperty(value = "标题")
    private String title;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getUrlLink() {
        return urlLink;
    }

    public void setUrlLink(String urlLink) {
        this.urlLink = urlLink;
    }

    public int getSort() {
        return sort;
    }

    public void setSort(int sort) {
        this.sort = sort;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @Override
    public String toString() {
        return "Advert{" +
                "id=" + id +
                ", type=" + type +
                ", imgUrl='" + imgUrl + '\'' +
                ", urlLink='" + urlLink + '\'' +
                ", sort=" + sort +
                ", status=" + status +
                ", createTime=" + createTime +
                ", title='" + title + '\'' +
                '}';
    }
}
