package com.sincere.student.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

@ApiModel
public class Article {

    @ApiModelProperty(value = "主键 , 新增接口不用传")
    private int id;
    @ApiModelProperty(value = "必传 标题")
    private String title;
    @ApiModelProperty(value = "栏目  type=1 不用传")
    private int columnType;
    @ApiModelProperty(value = "栏目中文")
    private String columnTypeString;
    @ApiModelProperty(value = "必传 大学id")
    private int universityId;
    @ApiModelProperty(value = "必传 排序")
    private int sort;
    @ApiModelProperty(value = "内容")
    private String context;
    @ApiModelProperty(value = "必传 作者")
    private String author;
    @ApiModelProperty(value = "封面图片")
    private String imageUrl;
    @ApiModelProperty(value = "封面图片 展示用")
    private List<String> imageUrlList;
    @ApiModelProperty(value = "封面图片数量  展示用")
    private int imageCount;
    @ApiModelProperty(value = "视频链接")
    private String videoUrl;
    @ApiModelProperty(value = "外链")
    private String articleLink;
    @ApiModelProperty(value = "点赞数 不用传")
    private int goodNumber;
    @ApiModelProperty(value = "浏览量 不用传")
    private int lookNumber;
    @ApiModelProperty(value = "创建时间 不用传")
    private Date createTime;
    @ApiModelProperty(value = "文章类型 1广告文章  2权威解读 ")
    private int type;
    @ApiModelProperty(value = "状态 0预览1发布")
    private int status;

    public String getColumnTypeString() {
        return columnTypeString;
    }

    public void setColumnTypeString(String columnTypeString) {
        this.columnTypeString = columnTypeString;
    }

    public List<String> getImageUrlList() {
        return imageUrlList;
    }

    public void setImageUrlList(List<String> imageUrlList) {
        this.imageUrlList = imageUrlList;
    }

    public int getImageCount() {
        return imageCount;
    }

    public void setImageCount(int imageCount) {
        this.imageCount = imageCount;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public int getColumnType() {
        return columnType;
    }

    public void setColumnType(int columnType) {
        this.columnType = columnType;
    }

    public int getUniversityId() {
        return universityId;
    }

    public void setUniversityId(int universityId) {
        this.universityId = universityId;
    }

    public int getSort() {
        return sort;
    }

    public void setSort(int sort) {
        this.sort = sort;
    }

    public String getContext() {
        return context;
    }

    public void setContext(String context) {
        this.context = context;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getVideoUrl() {
        return videoUrl;
    }

    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl;
    }

    public String getArticleLink() {
        return articleLink;
    }

    public void setArticleLink(String articleLink) {
        this.articleLink = articleLink;
    }

    public int getGoodNumber() {
        return goodNumber;
    }

    public void setGoodNumber(int goodNumber) {
        this.goodNumber = goodNumber;
    }

    public int getLookNumber() {
        return lookNumber;
    }

    public void setLookNumber(int lookNumber) {
        this.lookNumber = lookNumber;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
