package com.sincere.student.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

@ApiModel
public class Consult {

    @ApiModelProperty(value = "主键")
    private int id;
    @ApiModelProperty(value = "学校主键")
    private int universityId;
    @ApiModelProperty(value = "排序")
    private int sort;
    @ApiModelProperty(value = "图片地址")
    private String imgUrl;
    @ApiModelProperty(value = "名称")
    private String name;
    @ApiModelProperty(value = "编码")
    private String code;
    @ApiModelProperty(value = "栏目分类")
    private Integer columnType;
    @ApiModelProperty(value = "栏目分类名称")
    private String columnTypeName;
    @ApiModelProperty(value = "栏目分类名称")
    private String columnTypeString;
    @ApiModelProperty(value = "视频地址")
    private String videoUrl;
    @ApiModelProperty(value = "视频地址")
    private List<String> videoUrlList;
    @ApiModelProperty(value = "内容")
    private String context;
    @ApiModelProperty(value = "联系方式")
    private String phone;
    @ApiModelProperty(value = "状态")
    private Integer status;
    @ApiModelProperty(value = "4个栏目")
    private List<UniversityConsultDetail> list;
    @ApiModelProperty(value = "阅读量")
    private int readNumber;

    @ApiModelProperty(value = "背景图片地址")
    private String background;
    @ApiModelProperty(value = "模板排版信息")
    private String modelList;

    public String getBackground() {
        return background;
    }

    public void setBackground(String background) {
        this.background = background;
    }

    public String getModelList() {
        return modelList;
    }

    public void setModelList(String modelList) {
        this.modelList = modelList;
    }

    public String getColumnTypeString() {
        return columnTypeString;
    }

    public void setColumnTypeString(String columnTypeString) {
        this.columnTypeString = columnTypeString;
    }

    public int getReadNumber() {
        return readNumber;
    }

    public void setReadNumber(int readNumber) {
        this.readNumber = readNumber;
    }

    public List<String> getVideoUrlList() {
        return videoUrlList;
    }

    public void setVideoUrlList(List<String> videoUrlList) {
        this.videoUrlList = videoUrlList;
    }

    public String getColumnTypeName() {
        return columnTypeName;
    }

    public void setColumnTypeName(String columnTypeName) {
        this.columnTypeName = columnTypeName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getUniversityId() {
        return universityId;
    }

    public void setUniversityId(int universityId) {
        this.universityId = universityId;
    }

    public int getSort() {
        return sort;
    }

    public void setSort(int sort) {
        this.sort = sort;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getColumnType() {
        return columnType;
    }

    public void setColumnType(Integer columnType) {
        this.columnType = columnType;
    }

    public String getVideoUrl() {
        return videoUrl;
    }

    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl;
    }

    public String getContext() {
        return context;
    }

    public void setContext(String context) {
        this.context = context;
    }

    public List<UniversityConsultDetail> getList() {
        return list;
    }

    public void setList(List<UniversityConsultDetail> list) {
        this.list = list;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }
}
