package com.sincere.student.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

@ApiModel
public class University {

    @ApiModelProperty(value = "主键 , 新增接口不用传")
    private int id;
    @ApiModelProperty(value = "必传 学校名称")
    private String name;
    @ApiModelProperty(value = "必传 学校编码")
    private String code;
    @ApiModelProperty(value = "必传 高校学科类型")
    private String universityType;
    @ApiModelProperty(value = "必传 主管部门")
    private String department;
    @ApiModelProperty(value = "必传 所在省")
    private String province;
    @ApiModelProperty(value = "必传 所在市")
    private String city;
    @ApiModelProperty(value = "必传 办学层次")
    private String level;
    @ApiModelProperty(value = "联系方式")
    private String phone;
    @ApiModelProperty(value = "logo")
    private String logoUrl;
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    @ApiModelProperty(value = "专业列表,展示用")
    private List<Major> majorList;

    public String getLogoUrl() {
        return logoUrl;
    }

    public void setLogoUrl(String logoUrl) {
        this.logoUrl = logoUrl;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getUniversityType() {
        return universityType;
    }

    public void setUniversityType(String universityType) {
        this.universityType = universityType;
    }

    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public List<Major> getMajorList() {
        return majorList;
    }

    public void setMajorList(List<Major> majorList) {
        this.majorList = majorList;
    }
}
