package com.sincere.student.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

@ApiModel
public class Video {

    @ApiModelProperty(value = "主键 , 新增接口不用传")
    private int id;
    @ApiModelProperty(value = "学校")
    private int universityId;
    @ApiModelProperty(value = "栏目")
    private int columnType;
    @ApiModelProperty(value = "栏目中文")
    private String columnTypeString;
    @ApiModelProperty(value = "视频路径")
    private String videoUrl;

    @ApiModelProperty(value = "视频路径")
    private List<String> videoUrlList;
    @ApiModelProperty(value = "排序")
    private int sort;
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    @ApiModelProperty(value = "学校名称  展示用")
    private String name;
    @ApiModelProperty(value = "学校编码  展示用")
    private String code;
    @ApiModelProperty(value = "状态 0预览1发布")
    private int status;
    @ApiModelProperty(value = "图片地址 展示用  学校logo")
    private String imgUrl;
    @ApiModelProperty(value = "视频时长")
    private String duration;
    @ApiModelProperty(value = "视频标题")
    private String videoName;
    @ApiModelProperty(value = "视频封面")
    private String coverUrl;
    @ApiModelProperty(value = "阅读量")
    private int readNumber;

    public String getColumnTypeString() {
        return columnTypeString;
    }

    public void setColumnTypeString(String columnTypeString) {
        this.columnTypeString = columnTypeString;
    }

    public int getReadNumber() {
        return readNumber;
    }

    public void setReadNumber(int readNumber) {
        this.readNumber = readNumber;
    }

    public List<String> getVideoUrlList() {
        return videoUrlList;
    }

    public void setVideoUrlList(List<String> videoUrlList) {
        this.videoUrlList = videoUrlList;
    }

    public String getCoverUrl() {
        return coverUrl;
    }

    public void setCoverUrl(String coverUrl) {
        this.coverUrl = coverUrl;
    }

    public String getVideoName() {
        return videoName;
    }

    public void setVideoName(String videoName) {
        this.videoName = videoName;
    }

    public String getDuration() {
        return duration;
    }

    public void setDuration(String duration) {
        this.duration = duration;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getUniversityId() {
        return universityId;
    }

    public void setUniversityId(int universityId) {
        this.universityId = universityId;
    }

    public int getColumnType() {
        return columnType;
    }

    public void setColumnType(int columnType) {
        this.columnType = columnType;
    }

    public String getVideoUrl() {
        return videoUrl;
    }

    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl;
    }

    public int getSort() {
        return sort;
    }

    public void setSort(int sort) {
        this.sort = sort;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "Video{" +
                "id=" + id +
                ", universityId=" + universityId +
                ", columnType=" + columnType +
                ", videoUrl='" + videoUrl + '\'' +
                ", videoUrlList=" + videoUrlList +
                ", sort=" + sort +
                ", createTime=" + createTime +
                ", name='" + name + '\'' +
                ", code='" + code + '\'' +
                ", status=" + status +
                ", imgUrl='" + imgUrl + '\'' +
                ", duration='" + duration + '\'' +
                ", videoName='" + videoName + '\'' +
                ", coverUrl='" + coverUrl + '\'' +
                '}';
    }
}
