package com.sincere.student.service;

import com.sincere.student.dto.ArticleSearchDto;
import com.sincere.student.model.Article;
import com.sincere.student.utils.Page;

import java.util.List;


public interface ArticleService {

    Page<Article> getList(ArticleSearchDto articleSearchDto);

    Page<Article> getAdminList(ArticleSearchDto articleSearchDto);

    List<Article> getRelationList(int universityId);

    Article selectById(int id);

    int create(Article article);

    int delete(int id);

    int update(Article article);
}
