package com.sincere.student.service;

import com.sincere.student.dto.MessageSearchDto;
import com.sincere.student.model.Message;
import com.sincere.student.model.Reply;
import com.sincere.student.utils.Page;

public interface MessageService {

    Page<Message> getList(MessageSearchDto messageSearchDto);

    int deleteMessage(int id);

    int reply(Reply reply);

    int deleteReply(int id);

    Message getDetail(int id);

    int create(Message message);
}
