package com.sincere.student.service;

import com.sincere.student.dto.yx.AddYxSchoolConsultVo;
import com.sincere.student.dto.yx.AddYxSchoolVo;
import com.sincere.student.dto.yx.CountYxSchoolConsult;
import com.sincere.student.dto.yx.QueryCountYxSchoolConsult;
import com.sincere.student.model.ColumnType;
import com.sincere.student.model.yx.SysYxSchool;
import com.sincere.student.model.yx.SysYxSchoolConsult;
import com.sincere.student.utils.Page;

public interface SysYxColumnService {

    void addSchool(AddYxSchoolVo vo);

    void delSchool(Integer id);

    Page<SysYxSchool> schoolList(AddYxSchoolVo vo);

    void addColumnType(ColumnType columnType);

    void updateColumnType(ColumnType columnType);

    void delColumnType(Integer id);

    Page<SysYxSchoolConsult> consultList(AddYxSchoolConsultVo vo);

    void createConsult(AddYxSchoolConsultVo schoolConsultVo);

    void delConsult(Integer id);

    SysYxSchoolConsult getConsultDetail(Integer id);

    void updateRead(Integer id);

    Page<CountYxSchoolConsult> countConsultList(QueryCountYxSchoolConsult consult);
}
