package com.sincere.student.service.impl;

import com.sincere.student.mapper.SysUserMapper;
import com.sincere.student.model.SysUser;
import com.sincere.student.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class UserServiceImpl implements UserService {

    @Autowired
    SysUserMapper sysUserMapper;

    @Override
    public SysUser getByUser() {
        return sysUserMapper.selectByPrimaryKey(1);
    }

    @Override
    public int update(SysUser sysUser) {
        return sysUserMapper.updateByPrimaryKeySelective(sysUser);
    }
}
