package com.sincere.student.mapper;

import com.sincere.student.dto.ColumnDto;
import com.sincere.student.model.ColumnType;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ColumnMapper {

    List<ColumnType> getList(ColumnDto columnDto);

    ColumnType selectDetail(int id);

    int create(ColumnType columnType);

    int update(ColumnType columnType);

    int delete(int id);

    List<ColumnType> countSort(@Param(value = "sort") int sort, @Param(value = "type") int type, @Param(value = "flag") int flag, @Param(value = "id") Integer id);
}
