package com.sincere.student.mapper;

import com.sincere.student.dto.ConsultSearchDto;
import com.sincere.student.model.Consult;
import com.sincere.student.model.UniversityConsult;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface UniversityConsultMapper {

    int getListCount(ConsultSearchDto consultSearchDto);

    List<Consult> getList(ConsultSearchDto consultSearchDto);

    int getColumnListCount(int columnType);

    List<Consult> getColumnList(int columnType);

    int deleteByPrimaryKey(Integer id);

    int insert(UniversityConsult record);

    Consult selectByPrimaryKey(Integer id);

    int updateRead(int id);

    int updateByPrimaryKeySelective(UniversityConsult record);

    List<Consult> selectByUniversityIdAndColumnType(UniversityConsult consult);

    List<Consult> countSort(@Param(value = "sort") int sort, @Param(value = "flag") int flag, @Param(value = "id") Integer id);

    int updateSort(Consult consult);

}