package com.sincere.student.mapper;

import com.sincere.student.dto.UniversitySearchDto;
import com.sincere.student.model.University;

import java.util.List;

public interface UniversityMapper {

    int getListCount(UniversitySearchDto universitySearchDto);

    List<University> getList(UniversitySearchDto universitySearchDto);

    int create(University university);

    int delete(int id);

    University getById(int id);

    int update(University university);

    Integer selectByName(String name);
}
