package com.sincere.student.mapper;

import com.sincere.student.dto.VideoSearchDto;
import com.sincere.student.model.Video;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface VideoMapper {

    int getListCount(VideoSearchDto dto);

    List<Video> getList(VideoSearchDto dto);

    int getUniversityListCount(VideoSearchDto dto);

    List<Video> getUniversityList(VideoSearchDto dto);

    int create(Video video);

    int update(Video video);

    int delete(int id);

    Video getById(int id);

    int updateRead(int id);

    List<Video> countSort(@Param(value = "sort") int sort, @Param(value = "flag") int flag, @Param(value = "id") Integer id);
}
