package com.sincere.student.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

@ApiModel
public class Message {
    @ApiModelProperty(value = "主键 , 新增接口不用传")
    private Integer id;
    @ApiModelProperty(value = "必传 标题")
    private String title;
    @ApiModelProperty(value = "必传 内容")
    private String context;
    @ApiModelProperty(value = "联系方式")
    private String phone;
    @ApiModelProperty(value = "不用传")
    private Date createTime;
    @ApiModelProperty(value = "相差的时间")
    private Long[] distanceTimes;

    public Long[] getDistanceTimes() {
        return distanceTimes;
    }

    public void setDistanceTimes(Long[] distanceTimes) {
        this.distanceTimes = distanceTimes;
    }

    private List<Reply> list;

    public List<Reply> getList() {
        return list;
    }

    public void setList(List<Reply> list) {
        this.list = list;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContext() {
        return context;
    }

    public void setContext(String context) {
        this.context = context;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}