package com.sincere.student.service;

import com.sincere.student.dto.ConsultSearchDto;
import com.sincere.student.model.Consult;
import com.sincere.student.model.UniversityConsult;
import com.sincere.student.utils.Page;

import java.util.List;


public interface ConsultService {

    Page<Consult> getList(ConsultSearchDto consultSearchDto);

    List<Consult> selectByUniversityIdAndColumnType(int universityId, int columnType);

    Page<Consult> getColumnList(int columnType, int page, int pageSize);

    Consult getDetail(int id);

    int create(UniversityConsult consult);

    int update(UniversityConsult consult);

    int delete(int id);

}
