package com.sincere.student.service;

import com.sincere.student.dto.MajorSearchDto;
import com.sincere.student.model.Major;
import com.sincere.student.utils.Page;

import java.util.List;

public interface MajorService {

    Page<Major> getList(MajorSearchDto majorSearchDto);

    Major getById(int id);

    int create(Major major);

    int update(Major major);

    int delete(int id);

    List<Major> selectMajor();
}
