package com.sincere.student.service;

import com.sincere.student.dto.MessageSearchDto;
import com.sincere.student.dto.PointSearchDto;
import com.sincere.student.dto.submit.SubmitLine;
import com.sincere.student.model.SubmitFile;
import com.sincere.student.utils.Page;

public interface SubmitService {

    Page<SubmitFile> getAdminList(MessageSearchDto dto);

    Page<SubmitLine> getAppList(PointSearchDto dto);

    int create(SubmitFile submitFile);

    int delete(int id);

    int update(SubmitFile submitFile);

    SubmitFile getById(int id);

}
