package com.sincere.student.service;

import com.sincere.student.dto.UniversitySearchDto;
import com.sincere.student.model.University;
import com.sincere.student.model.UniversityMajor;
import com.sincere.student.utils.Page;

import java.util.List;

public interface UniversityService {


    Page<University> getList(UniversitySearchDto universitySearchDto);

    int create(University university);

    int delete(int id);

    University getById(int id);

    int update(University university);

    int addMajor(List<UniversityMajor> list);

    Integer selectByName(String name);

    Integer selectIdByMajor(String major, int id);
}
