package com.sincere.student.service;

import com.sincere.student.dto.VideoSearchDto;
import com.sincere.student.model.Video;
import com.sincere.student.utils.Page;

import java.util.List;

public interface VideoService {

    Page<Video> getUniversityList(VideoSearchDto dto);

    Page<Video> getList(VideoSearchDto dto);

    Video getDetail(int id);

    int create(Video video);

    int update(Video video);

    int delete(int id);
}
