package com.sincere.student.service.impl;

import com.sincere.student.mapper.AreaMapper;
import com.sincere.student.model.Area;
import com.sincere.student.service.CommonService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CommonServiceImpl implements CommonService {

    @Autowired
    AreaMapper areaMapper;

    @Override
    public List<Area> getProvince() {
        return areaMapper.getProvince();
    }

    @Override
    public List<Area> getCity(String code) {
        code = code + "%";
        return areaMapper.getCity(code);
    }
}
